Bug 1915342 - foreman_hooks: json representation of the hook object is limited / incorrect during create hook
Summary: foreman_hooks: json representation of the hook object is limited / incorrect ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.9.0
Assignee: Ondřej Ezr
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-12 13:30 UTC by Tomer Brisker
Modified: 2021-04-21 13:25 UTC (History)
3 users (show)

Fixed In Version: foreman-2.3.2,foreman-2.3.1.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:25:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31518 0 Normal Closed foreman_hooks: create hook fails to render host with "You cannot call create unless the parent is saved" 2021-02-18 13:56:25 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:25:42 UTC

Description Tomer Brisker 2021-01-12 13:30:25 UTC
The issue only seems present during the create hook, other hooks (update, destroy, before_update, ...) have a correct json representation of the hook object.
I upgraded from 2.2.1 (which works fine) directly to 2.3.1 (have not tested this behavior on 2.3.0).

limited / incorrect json of the host object provided during create hook:

<pre>
{
  "id": null,
  "name": "testhost.lan",
  "last_compile": null,
  "last_report": null,
  "updated_at": null,
  "created_at": null,
  "root_pass": "< removed >",
  "architecture_id": 1,
  "operatingsystem_id": 7,
  "environment_id": 32,
  "ptable_id": 143,
  "medium_id": 18,
  "build": true,
  "comment": "testhost install",
  "disk": "",
  "installed_at": null,
  "model_id": null,
  "hostgroup_id": 3,
  "owner_id": 7,
  "owner_type": "User",
  "enabled": true,
  "puppet_ca_proxy_id": 3,
  "managed": true,
  "use_image": null,
  "image_file": "",
  "uuid": null,
  "compute_resource_id": 7,
  "puppet_proxy_id": 2,
  "certname": "testhost.lan",
  "image_id": null,
  "organization_id": 1,
  "location_id": 2,
  "otp": null,
  "realm_id": null,
  "compute_profile_id": 4,
  "provision_method": "build",
  "grub_pass": "< removed >",
  "global_status": 0,
  "lookup_value_matcher": "fqdn=testhost.lan",
  "pxe_loader": "PXELinux BIOS",
  "initiated_at": null,
  "build_errors": null
}
</pre>


full / correct json of the host object provided during other hooks:

<pre>
{
  "host": {
    "ip": "< removed >",
    "ip6": "",
    "environment_id": 32,
    "environment_name": "< removed >",
    "last_report": "2020-12-16 09:15:48 +0100",
    "mac": "< removed >",
    "realm_id": null,
    "realm_name": null,
    "sp_mac": null,
    "sp_ip": null,
    "sp_name": null,
    "domain_id": 1,
    "domain_name": "< removed >",
    "architecture_id": 1,
    "architecture_name": "x86_64",
    "operatingsystem_id": 7,
    "operatingsystem_name": "RHEL 7.8",
    "subnet_id": 1,
    "subnet_name": "< removed >",
    "subnet6_id": null,
    "subnet6_name": null,
    "sp_subnet_id": null,
    "ptable_id": 143,
    "ptable_name": "< removed >",
    "medium_id": 18,
    "medium_name": "< removed >",
    "pxe_loader": "PXELinux BIOS",
    "build": false,
    "comment": "testhost update",
    "disk": "",
    "installed_at": "2020-12-15 13:40:04 +0100",
    "model_id": 1,
    "hostgroup_id": 3,
    "owner_id": 7,
    "owner_name": "< removed >",
    "owner_type": "User",
    "enabled": true,
    "managed": true,
    "use_image": null,
    "image_file": "",
    "uuid": "< removed >",
    "compute_resource_id": 7,
    "compute_resource_name": "< removed >",
    "compute_profile_id": 4,
    "compute_profile_name": "< removed >",
    "capabilities": [
      "build",
      "image",
      "snapshots",
      "snapshot_include_ram",
      "editable_snapshot_name"
    ],
    "provision_method": "build",
    "certname": "testhost.lan",
    "image_id": null,
    "image_name": null,
    "created_at": "2020-12-15 13:29:33 +0100",
    "updated_at": "2020-12-16 09:16:53 +0100",
    "last_compile": null,
    "global_status": 0,
    "global_status_label": "OK",
    "uptime_seconds": 71759,
    "organization_id": 1,
    "organization_name": "< removed >",
    "location_id": 2,
    "location_name": "< removed >",
    "puppet_status": 0,
    "model_name": "VMware Virtual Platform",
    "configuration_status": 0,
    "configuration_status_label": "No changes",
    "build_status": 0,
    "build_status_label": "Installed",
    "name": "testhost.lan",
    "id": 184,
    "puppet_proxy_id": 2,
    "puppet_proxy_name": "< removed >",
    "puppet_ca_proxy_id": 3,
    "puppet_ca_proxy_name": "< removed >",
    "puppet_proxy": {
      "name": "< removed >",
      "id": 2,
      "url": "< removed >"
    },
    "puppet_ca_proxy": {
      "name": "< removed >",
      "id": 3,
      "url": "< removed >"
    },
    "registration_token": "< removed >",
    "hostgroup_name": "< removed >",
    "hostgroup_title": "< removed >",
    "parameters": [],
    "all_parameters": [
      {
        "priority": 60,
        "created_at": "2020-08-27 13:02:49 +0200",
        "updated_at": "2020-08-27 13:02:49 +0200",
        "id": 15,
        "name": "< removed >",
        "parameter_type": "string",
        "value": "< removed >"
      },
      {
        "priority": 60,
        "created_at": "2020-08-27 13:02:49 +0200",
        "updated_at": "2020-08-27 13:02:49 +0200",
        "id": 13,
        "name": "< removed >",
        "parameter_type": "string",
        "value": "417"
      },
      {
        "priority": 60,
        "created_at": "2020-08-27 13:02:49 +0200",
        "updated_at": "2020-08-27 13:02:49 +0200",
        "id": 14,
        "name": "< removed >",
        "parameter_type": "string",
        "value": "418"
      },
      {
        "priority": 60,
        "created_at": "2020-08-27 13:02:49 +0200",
        "updated_at": "2020-08-28 17:24:05 +0200",
        "id": 12,
        "name": "< removed >",
        "parameter_type": "string",
        "value": "333"
      },
      {
        "priority": 60,
        "created_at": "2020-08-27 13:02:49 +0200",
        "updated_at": "2020-08-27 13:02:49 +0200",
        "id": 11,
        "name": "< removed >",
        "parameter_type": "string",
        "value": "< removed >"
      },
      {
        "priority": 0,
        "created_at": "2020-12-15 17:02:58 +0100",
        "updated_at": "2020-12-15 17:02:58 +0100",
        "id": 56,
        "name": "host_registration_remote_execution",
        "parameter_type": "boolean",
        "value": true
      },
      {
        "priority": 0,
        "created_at": "2020-12-15 17:02:58 +0100",
        "updated_at": "2020-12-15 17:02:58 +0100",
        "id": 55,
        "name": "host_registration_insights",
        "parameter_type": "boolean",
        "value": false
      }
    ],
    "interfaces": [
      {
        "subnet_id": 1,
        "subnet_name": "< removed >",
        "subnet6_id": null,
        "subnet6_name": null,
        "domain_id": 1,
        "domain_name": "< removed >",
        "created_at": "2020-12-15 13:29:42 +0100",
        "updated_at": "2020-12-15 14:15:59 +0100",
        "managed": true,
        "identifier": "eth0",
        "id": 222,
        "name": "testhost.lan",
        "ip": "< removed >",
        "ip6": "",
        "mac": "< removed >",
        "mtu": 1500,
        "fqdn": "testhost.lan",
        "primary": true,
        "provision": true,
        "type": "interface",
        "virtual": false
      },
      {
        "subnet_id": null,
        "subnet_name": null,
        "subnet6_id": null,
        "subnet6_name": null,
        "domain_id": null,
        "domain_name": null,
        "created_at": "2020-12-15 13:29:42 +0100",
        "updated_at": "2020-12-15 14:15:59 +0100",
        "managed": true,
        "identifier": "eth1",
        "id": 223,
        "name": "",
        "ip": "< removed >",
        "ip6": "",
        "mac": "< removed >",
        "mtu": 1500,
        "fqdn": "",
        "primary": false,
        "provision": false,
        "type": "interface",
        "virtual": false
      },
      {
        "subnet_id": null,
        "subnet_name": null,
        "subnet6_id": null,
        "subnet6_name": null,
        "domain_id": null,
        "domain_name": null,
        "created_at": "2020-12-15 13:29:42 +0100",
        "updated_at": "2020-12-15 14:15:59 +0100",
        "managed": true,
        "identifier": "eth2",
        "id": 224,
        "name": "",
        "ip": "< removed >",
        "ip6": "",
        "mac": "< removed >",
        "mtu": 1500,
        "fqdn": "",
        "primary": false,
        "provision": false,
        "type": "interface",
        "virtual": false
      }
    ],
    "puppetclasses": [],
    "config_groups": [],
    "all_puppetclasses": [],
    "permissions": {
      "view_hosts": true,
      "create_hosts": true,
      "edit_hosts": true,
      "destroy_hosts": true,
      "build_hosts": true,
      "power_hosts": true,
      "console_hosts": true,
      "ipmi_boot_hosts": true,
      "forget_status_hosts": true,
      "view_snapshots": true,
      "create_snapshots": true,
      "edit_snapshots": true,
      "destroy_snapshots": true,
      "revert_snapshots": true
    }
  }
}
</pre>

Related logs:
<pre>
2020-12-16T09:33:35 [I|app|3932de9d] Started POST "/hosts" for 127.0.0.1 at 2020-12-16 09:33:35 +0100
2020-12-16T09:33:35 [I|app|3932de9d] Processing by HostsController#create as */*
2020-12-16T09:33:35 [I|app|3932de9d]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"NeXp8srqIdh1D/bri8ZKG8rucFMtbjI9zVVvZBsmHIUZ9oDAwfCU/fXe1Jd03B1Ywf6CgYNkTNgzreUy7RVBAA==", "host"=>{"name"=>"testhost", "organization_id"=>"1", "location_id"=>"2", "hostgroup_id"=>"3", "compute_resource_id"=>"7", "environment_id"=>"32", "puppetclass_ids"=>[""], "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "identifier"=>"", "name"=>"testhost", "domain_id"=>"1", "subnet_id"=>"1", "ip"=>"< removed >", "ip6"=>"", "managed"=>"1", "primary"=>"1", "provision"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>"", "compute_attributes"=>{"type"=>"VirtualVmxnet3", "network"=>"< removed >"}}, "1"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "identifier"=>"", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"", "ip6"=>"", "managed"=>"1", "primary"=>"0", "provision"=>"0", "virtual"=>"0", "tag"=>"", "attached_to"=>"", "compute_attributes"=>{"type"=>"VirtualVmxnet3", "network"=>"< removed >"}}, "2"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "identifier"=>"", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"", "ip6"=>"", "managed"=>"1", "primary"=>"0", "provision"=>"0", "virtual"=>"0", "tag"=>"", "attached_to"=>"", "compute_attributes"=>{"type"=>"VirtualVmxnet3", "network"=>"< removed >"}}}, "compute_attributes"=>{"cpus"=>"2", "corespersocket"=>"1", "memory_mb"=>"2048", "firmware"=>"bios", "cluster"=>"< removed >", "resource_pool"=>"Resources", "path"=>"< removed >", "guest_id"=>"rhel7_64Guest", "hardware_version"=>"Default", "memoryHotAddEnabled"=>"1", "cpuHotAddEnabled"=>"1", "add_cdrom"=>"0", "boot_order"=>["network", "disk"], "start"=>"1", "annotation"=>"", "scsi_controllers"=>"{\"scsiControllers\":[{\"type\":\"ParaVirtualSCSIController\",\"key\":1000}],\"volumes\":[{\"thin\":\"false\",\"name\":\"sda\",\"mode\":\"persistent\",\"controllerKey\":1000,\"datastore\":\"< removed >\",\"sizeGb\":1,\"eagerZero\":\"false\",\"storagePod\":null},{\"thin\":\"false\",\"name\":\"sdb\",\"mode\":\"persistent\",\"controllerKey\":1000,\"datastore\":\"< removed >\",\"sizeGb\":40,\"eagerZero\":\"false\",\"storagePod\":null}]}"}, "architecture_id"=>"1", "operatingsystem_id"=>"7", "provision_method"=>"build", "build"=>"1", "medium_id"=>"18", "ptable_id"=>"143", "pxe_loader"=>"PXELinux BIOS", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"7-Users", "enabled"=>"1", "comment"=>"testhost install", "overwrite"=>"false"}}
2020-12-16T09:33:35 [D|tax|3932de9d] Current location set to none
2020-12-16T09:33:35 [D|tax|3932de9d] Current organization set to none
2020-12-16T09:33:35 [D|app|3932de9d] Scheduling new DHCP reservations for testhost.lan
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'dhcp_create_10.122.84.48' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|app|3932de9d] Scheduling new DNS entries
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'Create IPv4 DNS record for testhost.lan' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'Create Reverse IPv4 DNS record for testhost.lan' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|tax|3932de9d] Current organization set to < removed >
2020-12-16T09:33:35 [D|tax|3932de9d] Current location set to < removed >
2020-12-16T09:33:35 [D|tax|3932de9d] Current location set to none
2020-12-16T09:33:35 [D|tax|3932de9d] Current organization set to none
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'Deploy TFTP PXELinux config for testhost.lan' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'Deploy TFTP PXEGrub2 config for testhost.lan' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'Deploy TFTP PXEGrub config for testhost.lan' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'Deploy TFTP iPXE config for testhost.lan' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'Fetch TFTP boot files for testhost.lan' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'Set up compute instance testhost.lan' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'Query instance details for testhost.lan' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'Power up compute instance testhost.lan' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|app|3932de9d] Observed create hook on testhost.lan
2020-12-16T09:33:35 [D|app|3932de9d] Queuing 2 hooks for Host::Managed#create
2020-12-16T09:33:35 [D|app|3932de9d] Queuing hook /usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions for Host::Managed#create at priority 0
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'Hook: /usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|app|3932de9d] Queuing hook /usr/share/foreman/config/hooks/host/managed/create/5_create-custom_hook_actions for Host::Managed#create at priority 5
2020-12-16T09:33:35 [D|app|3932de9d] Enqueued task 'Hook: /usr/share/foreman/config/hooks/host/managed/create/5_create-custom_hook_actions' to 'Host::Managed Main' queue
2020-12-16T09:33:35 [D|app|3932de9d] Observed postcreate hook on testhost.lan
2020-12-16T09:33:35 [D|app|3932de9d] Processing task 'Hook: /usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions' from 'Host::Managed Main'
2020-12-16T09:33:35 [D|app|3932de9d] Running hook: /usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions create testhost.lan
2020-12-16T09:33:35 [W|app|3932de9d] Unable to render testhost.lan (Host::Managed) using RABL: You cannot call create unless the parent is saved
2020-12-16T09:33:35 [D|app|3932de9d] /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/associations/has_one_association.rb:111:in `_create_record'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/associations/association.rb:199:in `create!'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/associations/builder/singular_association.rb:37:in `create_registration_facet!'
 3932de9d | /usr/share/foreman/app/models/concerns/foreman_register/host_extensions.rb:8:in `registration_facet!'
 3932de9d | /usr/share/foreman/app/models/concerns/foreman_register/host_extensions.rb:12:in `registration_token'
 3932de9d | /usr/share/foreman/app/views/api/v2/hosts/main.json.rabl:37:in `block in cached_source_2132320255127778590'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:157:in `node'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:116:in `block in compile_settings'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:115:in `each'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:115:in `compile_settings'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:60:in `block in to_hash'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:252:in `cache_results'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:51:in `to_hash'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/engine.rb:90:in `to_hash'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/engine.rb:50:in `block in render'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/engine.rb:385:in `cache_results'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/engine.rb:49:in `render'
 3932de9d | /usr/share/foreman/config/initializers/rabl_init.rb:49:in `render'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:129:in `block in merge_engines_into_result'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:121:in `each'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:121:in `merge_engines_into_result'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:57:in `block in to_hash'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:252:in `cache_results'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/builder.rb:51:in `to_hash'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/engine.rb:90:in `to_hash'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/engine.rb:103:in `to_dumpable'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/engine.rb:112:in `to_json'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/engine.rb:50:in `block in render'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/engine.rb:385:in `cache_results'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/engine.rb:49:in `render'
 3932de9d | /usr/share/foreman/config/initializers/rabl_init.rb:49:in `render'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl/renderer.rb:54:in `render'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.14.3/lib/rabl.rb:77:in `render'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_hooks-0.3.17/lib/foreman_hooks/util.rb:27:in `render_hook_json'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_hooks-0.3.17/lib/foreman_hooks/util.rb:44:in `block in exec_hook'
 3932de9d | /opt/rh/rh-ruby25/root/usr/share/gems/gems/bundler-1.16.1/lib/bundler.rb:297:in `block in with_clean_env'
 3932de9d | /opt/rh/rh-ruby25/root/usr/share/gems/gems/bundler-1.16.1/lib/bundler.rb:540:in `with_env'
 3932de9d | /opt/rh/rh-ruby25/root/usr/share/gems/gems/bundler-1.16.1/lib/bundler.rb:297:in `with_clean_env'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_hooks-0.3.17/lib/foreman_hooks/util.rb:44:in `exec_hook'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_hooks-0.3.17/lib/foreman_hooks/orchestration_hook.rb:58:in `hook_execute_set'
 3932de9d | /usr/share/foreman/app/models/concerns/orchestration.rb:227:in `execute'
 3932de9d | /usr/share/foreman/app/models/concerns/orchestration.rb:152:in `block in process'
 3932de9d | /usr/share/foreman/app/models/concerns/orchestration.rb:144:in `each'
 3932de9d | /usr/share/foreman/app/models/concerns/orchestration.rb:144:in `process'
 3932de9d | /usr/share/foreman/app/models/concerns/orchestration.rb:44:in `around_save_orchestration'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:121:in `block in run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:139:in `run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:825:in `_run_save_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/callbacks.rb:327:in `create_or_update'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/timestamp.rb:128:in `create_or_update'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/persistence.rb:470:in `save'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/validations.rb:47:in `save'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/transactions.rb:314:in `block in save'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/transactions.rb:375:in `block in with_transaction_returning_status'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/connection_adapters/abstract/database_statements.rb:280:in `block in transaction'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/connection_adapters/abstract/transaction.rb:280:in `block in within_new_transaction'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/concurrency/load_interlock_aware_monitor.rb:26:in `block (2 levels) in synchronize'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/connection_adapters/abstract/transaction.rb:278:in `within_new_transaction'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/connection_adapters/abstract/database_statements.rb:280:in `transaction'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/transactions.rb:212:in `transaction'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/transactions.rb:366:in `with_transaction_returning_status'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/transactions.rb:314:in `save'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/suppressor.rb:44:in `save'
 3932de9d | /usr/share/foreman/app/models/concerns/foreman/sti.rb:26:in `save'
 3932de9d | /usr/share/foreman/app/controllers/hosts_controller.rb:98:in `create'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal/basic_implicit_render.rb:6:in `send_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/abstract_controller/base.rb:195:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal/rendering.rb:30:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/abstract_controller/callbacks.rb:42:in `block in process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:112:in `block in run_callbacks'
 3932de9d | /usr/share/foreman/app/controllers/concerns/foreman/controller/timezone.rb:10:in `set_timezone'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:121:in `block in run_callbacks'
 3932de9d | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:121:in `block in run_callbacks'
 3932de9d | /usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_topbar_sweeper_controller'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:121:in `block in run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.9.0/lib/audited/sweeper.rb:14:in `around'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:121:in `block in run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.9.0/lib/audited/sweeper.rb:14:in `around'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:121:in `block in run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:139:in `run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/abstract_controller/callbacks.rb:41:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal/rescue.rb:22:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal/instrumentation.rb:33:in `block in process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/notifications.rb:180:in `block in instrument'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/notifications/instrumenter.rb:24:in `instrument'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/notifications.rb:180:in `instrument'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal/instrumentation.rb:32:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal/params_wrapper.rb:245:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/railties/controller_runtime.rb:27:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/abstract_controller/base.rb:136:in `process'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.4/lib/action_view/rendering.rb:39:in `process'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal.rb:190:in `dispatch'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal.rb:254:in `dispatch'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/routing/route_set.rb:33:in `serve'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/journey/router.rb:49:in `block in serve'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/journey/router.rb:32:in `each'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/journey/router.rb:32:in `serve'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/routing/route_set.rb:834:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-dsl-2.3.0/lib/apipie_dsl/static_dispatcher.rb:67:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/static_dispatcher.rb:66:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/extractor/recorder.rb:137:in `call'
 3932de9d | /usr/share/foreman/lib/foreman/middleware/telemetry.rb:10:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'
 3932de9d | /usr/share/foreman/lib/foreman/middleware/catch_json_parse_errors.rb:9:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/tempfile_reaper.rb:15:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/etag.rb:27:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/conditional_get.rb:40:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/head.rb:12:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/http/content_security_policy.rb:18:in `call'
 3932de9d | /usr/share/foreman/lib/foreman/middleware/logging_context_session.rb:22:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:266:in `context'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:260:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/cookies.rb:648:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/callbacks.rb:27:in `block in call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:101:in `run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/callbacks.rb:26:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/actionable_exceptions.rb:18:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/debug_exceptions.rb:32:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/show_exceptions.rb:33:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.4/lib/rails/rack/logger.rb:37:in `call_app'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.4/lib/rails/rack/logger.rb:28:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails/quiet_assets.rb:13:in `call'
 3932de9d | /usr/share/foreman/lib/foreman/middleware/logging_context_request.rb:11:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/remote_ip.rb:81:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/request_id.rb:27:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/method_override.rb:24:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/runtime.rb:22:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/cache/strategy/local_cache_middleware.rb:29:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/executor.rb:14:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/static.rb:126:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/sendfile.rb:110:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/host_authorization.rb:76:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-6.3.0/lib/secure_headers/middleware.rb:11:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.4/lib/rails/engine.rb:527:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.4/lib/rails/railtie.rb:190:in `public_send'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.4/lib/rails/railtie.rb:190:in `method_missing'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:74:in `block in call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `each'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-4.3.6/lib/puma/configuration.rb:228:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-4.3.6/lib/puma/server.rb:713:in `handle_request'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-4.3.6/lib/puma/server.rb:472:in `process_client'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-4.3.6/lib/puma/server.rb:328:in `block in run'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-4.3.6/lib/puma/thread_pool.rb:134:in `block in spawn_thread'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.3.0/lib/logging/diagnostic_context.rb:474:in `block in create_with_logging_context'
2020-12-16T09:33:36 [I|app|eb41e8b4] Started GET "/tasks/1746e212-fb37-4f13-b48a-0cf961ba3005" for 127.0.0.1 at 2020-12-16 09:33:36 +0100
2020-12-16T09:33:36 [I|app|eb41e8b4] Processing by TasksController#show as */*
2020-12-16T09:33:36 [I|app|eb41e8b4]   Parameters: {"id"=>"1746e212-fb37-4f13-b48a-0cf961ba3005"}
2020-12-16T09:33:36 [I|app|eb41e8b4]   Rendered tasks/_list.html.erb (Duration: 0.9ms | Allocations: 689)
2020-12-16T09:33:36 [I|app|eb41e8b4] Completed 200 OK in 8ms (Views: 2.2ms | ActiveRecord: 1.0ms | Allocations: 3269)
2020-12-16T09:33:38 [I|app|1af756af] Started GET "/users/login" for 127.0.0.1 at 2020-12-16 09:33:38 +0100
2020-12-16T09:33:38 [I|app|5cdeac80] Started GET "/users/login" for 127.0.0.1 at 2020-12-16 09:33:38 +0100
2020-12-16T09:33:38 [I|app|1af756af] Processing by UsersController#login as HTML
2020-12-16T09:33:38 [I|app|5cdeac80] Processing by UsersController#login as HTML
2020-12-16T09:33:38 [I|app|df1ab7b3] Started GET "/users/login" for 127.0.0.1 at 2020-12-16 09:33:38 +0100
2020-12-16T09:33:38 [I|app|df1ab7b3] Processing by UsersController#login as HTML
2020-12-16T09:33:38 [I|app|5cdeac80]   Rendering users/login.html.erb within layouts/login
2020-12-16T09:33:38 [I|app|1af756af]   Rendering users/login.html.erb within layouts/login
2020-12-16T09:33:38 [I|app|5cdeac80]   Rendered common/_login.html.erb (Duration: 2.7ms | Allocations: 5081)
2020-12-16T09:33:38 [I|app|5cdeac80]   Rendered users/login.html.erb within layouts/login (Duration: 7.4ms | Allocations: 10220)
2020-12-16T09:33:38 [I|app|5cdeac80]   Rendering layouts/base.html.erb
2020-12-16T09:33:38 [I|app|1af756af]   Rendered common/_login.html.erb (Duration: 3.2ms | Allocations: 5120)
2020-12-16T09:33:38 [I|app|1af756af]   Rendered users/login.html.erb within layouts/login (Duration: 7.9ms | Allocations: 10295)
2020-12-16T09:33:38 [I|app|5cdeac80]   Rendered layouts/base.html.erb (Duration: 4.3ms | Allocations: 6120)
2020-12-16T09:33:38 [I|app|1af756af]   Rendering layouts/base.html.erb
2020-12-16T09:33:38 [I|app|5cdeac80] Completed 200 OK in 26ms (Views: 15.0ms | ActiveRecord: 4.2ms | Allocations: 23007)
2020-12-16T09:33:38 [I|app|df1ab7b3]   Rendering users/login.html.erb within layouts/login
2020-12-16T09:33:38 [I|app|1af756af]   Rendered layouts/base.html.erb (Duration: 6.3ms | Allocations: 6689)
2020-12-16T09:33:38 [I|app|df1ab7b3]   Rendered common/_login.html.erb (Duration: 2.6ms | Allocations: 5120)
2020-12-16T09:33:38 [I|app|df1ab7b3]   Rendered users/login.html.erb within layouts/login (Duration: 6.6ms | Allocations: 10369)
2020-12-16T09:33:38 [I|app|df1ab7b3]   Rendering layouts/base.html.erb
2020-12-16T09:33:38 [I|app|df1ab7b3]   Rendered layouts/base.html.erb (Duration: 3.7ms | Allocations: 6155)
2020-12-16T09:33:38 [I|app|1af756af] Completed 200 OK in 47ms (Views: 23.7ms | ActiveRecord: 4.3ms | Allocations: 48026)
2020-12-16T09:33:38 [I|app|df1ab7b3] Completed 200 OK in 45ms (Views: 14.0ms | ActiveRecord: 7.4ms | Allocations: 46361)
2020-12-16T09:33:38 [I|app|45235c27] Started GET "/tasks/1746e212-fb37-4f13-b48a-0cf961ba3005" for 127.0.0.1 at 2020-12-16 09:33:38 +0100
2020-12-16T09:33:38 [I|app|45235c27] Processing by TasksController#show as */*
2020-12-16T09:33:38 [I|app|45235c27]   Parameters: {"id"=>"1746e212-fb37-4f13-b48a-0cf961ba3005"}
2020-12-16T09:33:38 [I|app|45235c27]   Rendered tasks/_list.html.erb (Duration: 3.9ms | Allocations: 5388)
2020-12-16T09:33:38 [I|app|45235c27] Completed 200 OK in 10ms (Views: 4.5ms | ActiveRecord: 1.1ms | Allocations: 7196)
2020-12-16T09:33:40 [I|app|7fe6cc67] Started GET "/tasks/1746e212-fb37-4f13-b48a-0cf961ba3005" for 127.0.0.1 at 2020-12-16 09:33:40 +0100
2020-12-16T09:33:40 [I|app|7fe6cc67] Processing by TasksController#show as */*
2020-12-16T09:33:40 [I|app|7fe6cc67]   Parameters: {"id"=>"1746e212-fb37-4f13-b48a-0cf961ba3005"}
2020-12-16T09:33:40 [I|app|7fe6cc67]   Rendered tasks/_list.html.erb (Duration: 3.8ms | Allocations: 5388)
2020-12-16T09:33:40 [I|app|7fe6cc67] Completed 200 OK in 9ms (Views: 4.2ms | ActiveRecord: 1.0ms | Allocations: 7194)
2020-12-16T09:33:41 [D|app|3932de9d] Hook output: ✘✘✘ HOOK SCRIPT OUTPUT ✘✘✘ please select a puppet environment (required by nsx-t) ✘✘✘
 3932de9d |
2020-12-16T09:33:41 [W|app|3932de9d] Hook: /usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions task failed with the following error: Hook failure running `/usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions create testhost.lan`:  ✘✘✘ HOOK SCRIPT OUTPUT ✘✘✘ please select a puppet environment (required by nsx-t) ✘✘✘
 3932de9d |
2020-12-16T09:33:41 [I|app|3932de9d] Backtrace for 'Hook: /usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions task failed with the following error: Hook failure running `/usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions create testhost.lan`:  ✘✘✘ HOOK SCRIPT OUTPUT ✘✘✘ please select a puppet environment (required by nsx-t) ✘✘✘
 3932de9d | ' error (ForemanHooks::Error): Hook failure running `/usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions create testhost.lan`:  ✘✘✘ HOOK SCRIPT OUTPUT ✘✘✘ please select a puppet environment (required by nsx-t) ✘✘✘
 3932de9d |
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_hooks-0.3.17/lib/foreman_hooks/util.rb:49:in `exec_hook'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_hooks-0.3.17/lib/foreman_hooks/orchestration_hook.rb:58:in `hook_execute_set'
 3932de9d | /usr/share/foreman/app/models/concerns/orchestration.rb:227:in `execute'
 3932de9d | /usr/share/foreman/app/models/concerns/orchestration.rb:152:in `block in process'
 3932de9d | /usr/share/foreman/app/models/concerns/orchestration.rb:144:in `each'
 3932de9d | /usr/share/foreman/app/models/concerns/orchestration.rb:144:in `process'
 3932de9d | /usr/share/foreman/app/models/concerns/orchestration.rb:44:in `around_save_orchestration'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:121:in `block in run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:139:in `run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:825:in `_run_save_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/callbacks.rb:327:in `create_or_update'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/timestamp.rb:128:in `create_or_update'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/persistence.rb:470:in `save'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/validations.rb:47:in `save'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/transactions.rb:314:in `block in save'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/transactions.rb:375:in `block in with_transaction_returning_status'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/connection_adapters/abstract/database_statements.rb:280:in `block in transaction'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/connection_adapters/abstract/transaction.rb:280:in `block in within_new_transaction'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/concurrency/load_interlock_aware_monitor.rb:26:in `block (2 levels) in synchronize'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/connection_adapters/abstract/transaction.rb:278:in `within_new_transaction'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/connection_adapters/abstract/database_statements.rb:280:in `transaction'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/transactions.rb:212:in `transaction'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/transactions.rb:366:in `with_transaction_returning_status'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/transactions.rb:314:in `save'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/suppressor.rb:44:in `save'
 3932de9d | /usr/share/foreman/app/models/concerns/foreman/sti.rb:26:in `save'
 3932de9d | /usr/share/foreman/app/controllers/hosts_controller.rb:98:in `create'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal/basic_implicit_render.rb:6:in `send_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/abstract_controller/base.rb:195:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal/rendering.rb:30:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/abstract_controller/callbacks.rb:42:in `block in process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:112:in `block in run_callbacks'
 3932de9d | /usr/share/foreman/app/controllers/concerns/foreman/controller/timezone.rb:10:in `set_timezone'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:121:in `block in run_callbacks'
 3932de9d | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:121:in `block in run_callbacks'
 3932de9d | /usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_topbar_sweeper_controller'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:121:in `block in run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.9.0/lib/audited/sweeper.rb:14:in `around'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:121:in `block in run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.9.0/lib/audited/sweeper.rb:14:in `around'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:121:in `block in run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:139:in `run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/abstract_controller/callbacks.rb:41:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal/rescue.rb:22:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal/instrumentation.rb:33:in `block in process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/notifications.rb:180:in `block in instrument'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/notifications/instrumenter.rb:24:in `instrument'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/notifications.rb:180:in `instrument'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal/instrumentation.rb:32:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal/params_wrapper.rb:245:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.4/lib/active_record/railties/controller_runtime.rb:27:in `process_action'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/abstract_controller/base.rb:136:in `process'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.4/lib/action_view/rendering.rb:39:in `process'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal.rb:190:in `dispatch'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_controller/metal.rb:254:in `dispatch'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/routing/route_set.rb:33:in `serve'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/journey/router.rb:49:in `block in serve'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/journey/router.rb:32:in `each'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/journey/router.rb:32:in `serve'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/routing/route_set.rb:834:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-dsl-2.3.0/lib/apipie_dsl/static_dispatcher.rb:67:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/static_dispatcher.rb:66:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/extractor/recorder.rb:137:in `call'
 3932de9d | /usr/share/foreman/lib/foreman/middleware/telemetry.rb:10:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'
 3932de9d | /usr/share/foreman/lib/foreman/middleware/catch_json_parse_errors.rb:9:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/tempfile_reaper.rb:15:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/etag.rb:27:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/conditional_get.rb:40:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/head.rb:12:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/http/content_security_policy.rb:18:in `call'
 3932de9d | /usr/share/foreman/lib/foreman/middleware/logging_context_session.rb:22:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:266:in `context'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:260:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/cookies.rb:648:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/callbacks.rb:27:in `block in call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/callbacks.rb:101:in `run_callbacks'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/callbacks.rb:26:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/actionable_exceptions.rb:18:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/debug_exceptions.rb:32:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/show_exceptions.rb:33:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.4/lib/rails/rack/logger.rb:37:in `call_app'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.4/lib/rails/rack/logger.rb:28:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails/quiet_assets.rb:13:in `call'
 3932de9d | /usr/share/foreman/lib/foreman/middleware/logging_context_request.rb:11:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/remote_ip.rb:81:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/request_id.rb:27:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/method_override.rb:24:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/runtime.rb:22:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/cache/strategy/local_cache_middleware.rb:29:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/executor.rb:14:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/static.rb:126:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/sendfile.rb:110:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.4/lib/action_dispatch/middleware/host_authorization.rb:76:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-6.3.0/lib/secure_headers/middleware.rb:11:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.4/lib/rails/engine.rb:527:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.4/lib/rails/railtie.rb:190:in `public_send'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.4/lib/rails/railtie.rb:190:in `method_missing'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:74:in `block in call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `each'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-4.3.6/lib/puma/configuration.rb:228:in `call'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-4.3.6/lib/puma/server.rb:713:in `handle_request'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-4.3.6/lib/puma/server.rb:472:in `process_client'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-4.3.6/lib/puma/server.rb:328:in `block in run'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-4.3.6/lib/puma/thread_pool.rb:134:in `block in spawn_thread'
 3932de9d | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.3.0/lib/logging/diagnostic_context.rb:474:in `block in create_with_logging_context'
2020-12-16T09:33:41 [W|app|3932de9d] Rolling back due to a problem: [#<Orchestration::Task:0x00007f4aefa6e168 @name="Hook: /usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions", @id="Hook: /usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions", @status="failed", @priority=0, @action=[#<ForemanHooks::OrchestrationHook::HookRunner:0x00007f4aefa6e230 @filename="/usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions", @obj=#<Host::Managed id: nil, name: "testhost.lan", last_compile: nil, last_report: nil, updated_at: nil, created_at: nil, root_pass: [FILTERED], architecture_id: 1, operatingsystem_id: 7, environment_id: 32, ptable_id: 143, medium_id: 18, build: true, comment: "koen test", disk: "", installed_at: nil, model_id: nil, hostgroup_id: 3, owner_id: 7, owner_type: "User", enabled: true, puppet_ca_proxy_id: 3, managed: true, use_image: nil, image_file: nil, uuid: nil, compute_resource_id: 7, puppet_proxy_id: 2, certname: nil, image_id: nil, organization_id: 1, location_id: 2, type: "Host::Managed", otp: nil, realm_id: nil, compute_profile_id: 4, provision_method: "build", grub_pass: "$6$iWfTJ2QjaBoiDuFU$FSLrqUFXvMZB8EwsMjrN7/VEBMK5DW...", global_status: 0, lookup_value_matcher: [FILTERED], pxe_loader: "PXELinux BIOS", initiated_at: nil, build_errors: nil>, @event="create">, :hook_execute_set], @created=1608107615.3711407, @timestamp=2020-12-16 08:33:41 UTC>]
2020-12-16T09:33:41 [E|app|3932de9d] Failed to save: Hook: /usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions task failed with the following error: Hook failure running `/usr/share/foreman/config/hooks/host/managed/create/0_create-custom_hook_actions create testhost.lan`:  ✘✘✘ HOOK SCRIPT OUTPUT ✘✘✘ please select a puppet environment (required by nsx-t) ✘✘✘
 3932de9d |
2020-12-16T09:33:41 [I|app|3932de9d]   Rendering hosts/new.html.erb within layouts/application
2020-12-16T09:33:41 [I|app|3932de9d]   Rendered hosts/_progress.html.erb (Duration: 4.2ms | Allocations: 5054)
</pre>

Comment 1 Tomer Brisker 2021-01-12 13:30:32 UTC
Created from redmine issue https://projects.theforeman.org/issues/31518

Comment 2 Tomer Brisker 2021-01-12 13:30:34 UTC
Upstream bug assigned to oezr@redhat.com

Comment 4 Bryan Kearney 2021-01-13 13:30:36 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31518 has been resolved.

Comment 6 Roman Plevka 2021-03-10 18:00:27 UTC
VERIFIED
on sat6.9.0-16.0

the hook payload now seems to be complete:

```
{
  "host": {
    "ip": "10.8.211.39",
    "ip6": "",
    "environment_id": 1,
    "environment_name": "production",
    "last_report": null,
    "mac": "de:ad:ee:ad:aa:ed",
    "realm_id": null,
    "realm_name": null,
    "sp_mac": null,
    "sp_ip": null,
    "sp_name": null,
    "domain_id": 1,
    "domain_name": "foo.bar.com",
    "architecture_id": 1,
    "architecture_name": "x86_64",
    "operatingsystem_id": 1,
    "operatingsystem_name": "RedHat 7.9",
    "subnet_id": 1,
    "subnet_name": "Default Subnet",
    "subnet6_id": null,
    "subnet6_name": null,
    "sp_subnet_id": null,
    "ptable_id": 111,
    "ptable_name": "Kickstart default",
    "medium_id": null,
    "medium_name": null,
    "pxe_loader": "PXELinux BIOS",
    "build": true,
    "comment": "",
    "disk": "",
    "installed_at": null,
    "model_id": null,
    "hostgroup_id": null,
    "owner_id": 4,
    "owner_name": "Admin User",
    "owner_type": "User",
    "enabled": true,
    "managed": true,
    "use_image": null,
    "image_file": "",
    "uuid": null,
    "compute_resource_id": null,
    "compute_resource_name": null,
    "compute_profile_id": null,
    "compute_profile_name": null,
    "capabilities": [
      "build"
    ],
    "provision_method": "build",
    "certname": "bret-okoro.foo.bar.com",
    "image_id": null,
    "image_name": null,
    "created_at": null,
    "updated_at": null,
    "last_compile": null,
    "global_status": 0,
    "global_status_label": "Warning",
    "uptime_seconds": null,
    "organization_id": 1,
    "organization_name": "Default Organization",
    "location_id": 2,
    "location_name": "Default Location",
    "puppet_status": 0,
    "model_name": null,
    "build_status": 1,
    "build_status_label": "Pending installation",
    "name": "bret-okoro.foo.bar.com",
    "id": null,
    "puppet_proxy_id": null,
    "puppet_proxy_name": null,
    "puppet_ca_proxy_id": null,
    "puppet_ca_proxy_name": null,
    "openscap_proxy_id": null,
    "openscap_proxy_name": null,
    "puppet_proxy": null,
    "puppet_ca_proxy": null,
    "openscap_proxy": null,
    "token": "50dc5a1f-b622-484f-85db-1973d94bebca",
    "hostgroup_name": null,
    "hostgroup_title": null,
    "parameters": [],
    "all_parameters": [
      {
        "priority": 0,
        "created_at": "2021-03-04 17:17:48 +0100",
        "updated_at": "2021-03-06 01:38:10 +0100",
        "id": 2,
        "name": "host_registration_remote_execution",
        "parameter_type": "string",
        "value": "1"
      },
      {
        "priority": 0,
        "created_at": "2021-03-04 17:16:15 +0100",
        "updated_at": "2021-03-06 01:38:06 +0100",
        "id": 1,
        "name": "host_registration_insights",
        "parameter_type": "string",
        "value": "1"
      },
      {
        "priority": 0,
        "created_at": "2021-03-04 17:17:50 +0100",
        "updated_at": "2021-03-04 17:17:50 +0100",
        "id": 4,
        "name": "enable-puppet5",
        "parameter_type": "string",
        "value": "true"
      },
      {
        "priority": 0,
        "created_at": "2021-03-04 17:17:50 +0100",
        "updated_at": "2021-03-04 17:17:50 +0100",
        "id": 3,
        "name": "enable-epel",
        "parameter_type": "string",
        "value": "false"
      }
    ],
    "content_facet_attributes": {
      "id": null,
      "uuid": null,
      "content_view_id": 1,
      "content_view_name": "Default Organization View",
      "lifecycle_environment_id": 1,
      "lifecycle_environment_name": "Library",
      "content_source_id": 1,
      "content_source_name": "qe-sat69-rhel7-tier3.foo.bar.com",
      "kickstart_repository_id": 755,
      "kickstart_repository_name": "755",
      "errata_counts": {
        "security": 0,
        "bugfix": 0,
        "enhancement": 0,
        "total": 0
      },
      "applicable_package_count": 0,
      "upgradable_package_count": 0,
      "applicable_module_stream_count": 0,
      "upgradable_module_stream_count": 0,
      "content_view": {
        "id": 1,
        "name": "Default Organization View"
      },
      "lifecycle_environment": {
        "id": 1,
        "name": "Library"
      },
      "content_source": {
        "id": 1,
        "name": "qe-sat69-rhel7-tier3.foo.bar.com",
        "url": "https://qe-sat69-rhel7-tier3.foo.bar.com:9090"
      },
      "kickstart_repository": {
        "id": 755,
        "name": "Red Hat Enterprise Linux 7 Server Kickstart x86_64 7.9"
      },
      "content_view_version": "1.0",
      "content_view_version_id": 1,
      "content_view_default?": true,
      "lifecycle_environment_library?": true,
      "katello_agent_installed": false,
      "katello_tracer_installed": false
    },
    "host_collections": [],
    "interfaces": [
      {
        "subnet_id": 1,
        "subnet_name": "Default Subnet",
        "subnet6_id": null,
        "subnet6_name": null,
        "domain_id": 1,
        "domain_name": "foo.bar.com",
        "created_at": null,
        "updated_at": null,
        "managed": true,
        "identifier": "",
        "id": null,
        "name": "bret-okoro.foo.bar.com",
        "ip": "10.8.211.39",
        "ip6": "",
        "mac": "de:ad:ee:ad:aa:ed",
        "mtu": 1500,
        "fqdn": "bret-okoro.foo.bar.com",
        "primary": true,
        "provision": true,
        "type": "interface",
        "execution": true,
        "virtual": false
      }
    ],
    "puppetclasses": [],
    "config_groups": [],
    "all_puppetclasses": [],
    "facts": {},
    "permissions": {
      "view_hosts": true,
      "create_hosts": true,
      "edit_hosts": true,
      "destroy_hosts": true,
      "build_hosts": true,
      "power_hosts": true,
      "console_hosts": true,
      "ipmi_boot_hosts": true,
      "forget_status_hosts": true,
      "cockpit_hosts": true,
      "play_roles_on_host": true,
      "view_discovered_hosts": true,
      "submit_discovered_hosts": true,
      "auto_provision_discovered_hosts": true,
      "provision_discovered_hosts": true,
      "edit_discovered_hosts": true,
      "destroy_discovered_hosts": true
    }
  }
}
```

Comment 9 errata-xmlrpc 2021-04-21 13:25:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.